Index: trunk/data/konvert/postnas_0.5/alkis_PostNAS_0.5_schema.sql
===================================================================
--- trunk/data/konvert/postnas_0.5/alkis_PostNAS_0.5_schema.sql	(revision 77)
+++ trunk/data/konvert/postnas_0.5/alkis_PostNAS_0.5_schema.sql	(revision 79)
@@ -2651,9 +2416,6 @@
 
 
--- AX_Friedhof
-
 -- F r i e d h o f
 -- ----------------
--- Nutzung
 CREATE TABLE ax_friedhof (
 	ogc_fid			serial NOT NULL,
@@ -2661,5 +2423,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -2683,5 +2445,4 @@
 --   ===================================================================
 
--- AX_Strassenverkehr
 
 -- S t r a s s e n v e r k e h r
@@ -2692,5 +2453,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -2713,6 +2474,4 @@
 
 
--- AX_Weg
-
 -- W e g 
 -- ----------------------------------------------
@@ -2724,5 +2483,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -2743,6 +2502,4 @@
 
 
--- AX_Platz
-
 -- P l a t z
 -- ----------------------------------------------
@@ -2753,5 +2510,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -2772,6 +2529,4 @@
 
 
--- AX_Bahnverkehr
-
 -- B a h n v e r k e h r 
 -- ----------------------------------------------
@@ -2781,5 +2536,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -2811,6 +2566,4 @@
 
 
--- AX_Flugverkehr
-
 -- F l u g v e r k e h r
 -- ----------------------
@@ -2820,5 +2573,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion 		integer,
@@ -2846,6 +2599,4 @@
 
 
--- AX_Schiffsverkehr
-
 -- S c h i f f s v e r k e h r
 -- ---------------------------
@@ -2855,5 +2606,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -2880,7 +2631,4 @@
 --   ===================================================================
 
-
--- AX_Landwirtschaft
-
 -- L a n d w i r t s c h a f t
 -- ----------------------------------------------
@@ -2890,5 +2638,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	vegetationsmerkmal	integer,
@@ -2907,6 +2655,4 @@
 
 
--- AX_Wald
-
 -- W a l d 
 -- ----------------------------------------------
@@ -2916,5 +2662,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	vegetationsmerkmal	integer,
@@ -2935,6 +2681,4 @@
 
 
--- AX_Gehoelz
-
 -- G e h o e l z
 -- ----------------------------------------------
@@ -2944,5 +2688,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass 			integer,
 	vegetationsmerkmal	integer,
@@ -2964,6 +2708,4 @@
 
 
--- AX_Heide
-
 -- H e i d e
 -- ----------------------------------------------
@@ -2973,5 +2715,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	"name"			character varying(50),
@@ -2988,8 +2730,6 @@
 
 
--- AX_Moor
-
 -- M o o r
--- -------
+-- ----------------------------------------------
 CREATE TABLE ax_moor (
 	ogc_fid			serial NOT NULL,
@@ -2997,5 +2737,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	"name"			character varying(50),
@@ -3013,6 +2753,4 @@
 
 
--- AX_Sumpf
-
 -- S u m p f
 -- ----------------------------------------------
@@ -3022,5 +2760,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	"name"			character varying(50),
@@ -3037,6 +2775,4 @@
 
 
--- AX_UnlandVegetationsloseFlaeche
-
 -- U n l a n d  /  V e g e t a t i o n s f l a e c h e
 -- ---------------------------------------------------
@@ -3046,5 +2782,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	oberflaechenmaterial	integer,
@@ -3069,6 +2805,4 @@
 --   ===================================================================
 
-
--- AX_Fliessgewaesser
 
 -- F l i e s s g e w a e s s e r
@@ -3088,5 +2822,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -3107,6 +2841,4 @@
 
 
--- AX_Hafenbecken
-
 -- H a f e n b e c k e n
 -- ---------------------
@@ -3116,5 +2848,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -3136,6 +2868,4 @@
 
 
--- AX_StehendesGewaesser
-
 -- s t e h e n d e s   G e w a e s s e r
 -- ----------------------------------------------
@@ -3147,5 +2877,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -3164,9 +2894,7 @@
 COMMENT ON COLUMN ax_stehendesgewaesser.funktion  IS 'FKT "Funktion" ist die Art von "Stehendes GewÃ€sser".';
 COMMENT ON COLUMN ax_stehendesgewaesser.name      IS 'NAM "Name" ist der Eigenname von "Stehendes GewÃ€sser".';
-COMMENT ON COLUMN ax_stehendesgewaesser.gewaesserkennziffer   IS '"GewÃ€sserkennziffer" ist die von der zustÃ€ndigen Fachstelle vergebene VerschlÃŒsselung.';
-COMMENT ON COLUMN ax_stehendesgewaesser.hydrologischesMerkmal IS '"Hydrologisches Merkmal" gibt die WasserverhÃ€ltnisse von "Stehendes GewÃ€sser" an.';
-
-
--- AX_Meer
+COMMENT ON COLUMN ax_stehendesgewaesser.gewaesserkennziffer   IS 'GWK  "GewÃ€sserkennziffer" ist die von der zustÃ€ndigen Fachstelle vergebene VerschlÃŒsselung.';
+COMMENT ON COLUMN ax_stehendesgewaesser.hydrologischesMerkmal IS 'HYD  "Hydrologisches Merkmal" gibt die WasserverhÃ€ltnisse von "Stehendes GewÃ€sser" an.';
+
 
 -- M e e r
@@ -3177,5 +2905,5 @@
 	identifier		character varying(28),
 	beginnt			character(20),
-	advstandardmodell	character varying(8),
+	advstandardmodell	character varying(9),
 	anlass			integer,
 	funktion		integer,
@@ -3204,23 +2932,284 @@
 
 --AX_BauwerkeEinrichtungenUndSonstigeAngaben
+-- ** Tabelle bisher noch nicht generiert
+
 --AX_DQMitDatenerhebung
+-- ** Tabelle bisher noch nicht generiert
+
+
 --AX_LI_Lineage_MitDatenerhebung
+-- ** Tabelle bisher noch nicht generiert
+
 --AX_LI_ProcessStep_MitDatenerhebung
+-- ** Tabelle bisher noch nicht generiert
+
 --AX_LI_Source_MitDatenerhebung
+-- ** Tabelle bisher noch nicht generiert
+
 
 --** Objektartengruppe: Bauwerke und Einrichtungen in SiedlungsflÃ€chen
 --   ===================================================================
 
---AX_Turm
---AX_BauwerkOderAnlageFuerIndustrieUndGewerbe
---AX_VorratsbehaelterSpeicherbauwerk
---AX_Transportanlage
---AX_Leitung
---AX_BauwerkOderAnlageFuerSportFreizeitUndErholung
---AX_HistorischesBauwerkOderHistorischeEinrichtung
---AX_HeilquelleGasquelle
---AX_SonstigesBauwerkOderSonstigeEinrichtung
---AX_EinrichtungInOeffentlichenBereichen
---AX_BesondererBauwerkspunkt
+-- T u r m
+-- ---------------------------------------------------
+CREATE TABLE ax_turm (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+ 	bauwerksfunktion	integer,
+	CONSTRAINT ax_turm_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_turm','wkb_geometry','25832','POLYGON',2);
+
+CREATE INDEX ax_turm_geom_idx ON ax_turm USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_turm        IS 'T u r m';
+COMMENT ON COLUMN ax_turm.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- Bauwerk oder Anlage fuer Industrie und Gewerbe
+-- ----------------------------------------------
+CREATE TABLE ax_bauwerkoderanlagefuerindustrieundgewerbe (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	bauwerksfunktion	integer,
+	CONSTRAINT ax_bauwerkoderanlagefuerindustrieundgewerbe_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_bauwerkoderanlagefuerindustrieundgewerbe','wkb_geometry','25832','POLYGON',2);
+
+-- POLYGON und POINT
+ALTER TABLE ax_bauwerkoderanlagefuerindustrieundgewerbe DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_bauwerkoderanlagefuerindustrieundgewerbe_geom_idx ON ax_bauwerkoderanlagefuerindustrieundgewerbe USING gist (wkb_geometry);
+
+COMMENT ON TABLE ax_bauwerkoderanlagefuerindustrieundgewerbe         IS 'Bauwerk oder Anlage fuer Industrie und Gewerbe';
+COMMENT ON COLUMN ax_bauwerkoderanlagefuerindustrieundgewerbe.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- V o r r a t s b e h a e l t e r  /  S p e i c h e r b a u w e r k
+-- -----------------------------------------------------------------
+CREATE TABLE ax_vorratsbehaelterspeicherbauwerk (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	speicherinhalt		integer,
+	bauwerksfunktion	integer,
+	CONSTRAINT ax_vorratsbehaelterspeicherbauwerk_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_vorratsbehaelterspeicherbauwerk','wkb_geometry','25832','POLYGON',2);
+
+CREATE INDEX ax_vorratsbehaelterspeicherbauwerk_geom_idx ON ax_vorratsbehaelterspeicherbauwerk USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_vorratsbehaelterspeicherbauwerk        IS 'V o r r a t s b e h a e l t e r  /  S p e i c h e r b a u w e r k';
+COMMENT ON COLUMN ax_vorratsbehaelterspeicherbauwerk.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- T r a n s p o r t a n l a g e
+-- ---------------------------------------------------
+CREATE TABLE ax_transportanlage (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	bauwerksfunktion	integer,
+	lagezurerdoberflaeche	integer,
+	art			character varying(40),  --(15)
+	"name"			character varying(20),  -- (3) "NPL", "RMR"
+	CONSTRAINT ax_transportanlage_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_transportanlage','wkb_geometry','25832','LINESTRING',2);
+
+CREATE INDEX ax_transportanlage_geom_idx ON ax_transportanlage USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_transportanlage        IS 'T r a n s p o r t a n l a g e';
+COMMENT ON COLUMN ax_transportanlage.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- L e i t u n g
+-- ----------------------------------------------
+CREATE TABLE ax_leitung (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	bauwerksfunktion	integer,
+	spannungsebene		integer,
+	CONSTRAINT ax_leitung_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_leitung','wkb_geometry','25832','LINESTRING',2);
+
+CREATE INDEX ax_leitung_geom_idx ON ax_leitung USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_leitung        IS 'L e i t u n g';
+COMMENT ON COLUMN ax_leitung.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- Bauwerk oder Anlage fuer Sport, Freizeit und Erholung
+-- -----------------------------------------------------
+CREATE TABLE ax_bauwerkoderanlagefuersportfreizeitunderholung (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	bauwerksfunktion	integer,
+	-- "name"		character(15),
+	CONSTRAINT ax_bauwerkoderanlagefuersportfreizeitunderholung_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_bauwerkoderanlagefuersportfreizeitunderholung','wkb_geometry','25832','POLYGON',2);
+
+--POLYGON  oder POINT
+ALTER TABLE ax_bauwerkoderanlagefuersportfreizeitunderholung DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_bauwerkoderanlagefuersportfreizeitunderholung_geom_idx ON ax_bauwerkoderanlagefuersportfreizeitunderholung USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_bauwerkoderanlagefuersportfreizeitunderholung        IS 'Bauwerk oder Anlage fuer Sport, Freizeit und Erholung';
+COMMENT ON COLUMN ax_bauwerkoderanlagefuersportfreizeitunderholung.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- Historisches Bauwerk oder historische Einrichtung
+-- -------------------------------------------------
+CREATE TABLE ax_historischesbauwerkoderhistorischeeinrichtung (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	sonstigesmodell		character varying[],
+	anlass			integer,
+	archaeologischertyp	integer,
+	CONSTRAINT ax_historischesbauwerkoderhistorischeeinrichtung_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_historischesbauwerkoderhistorischeeinrichtung','wkb_geometry','25832','POLYGON',2);
+
+-- POLYGON und POINT
+ALTER TABLE  ax_historischesbauwerkoderhistorischeeinrichtung
+	DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_historischesbauwerkoderhistorischeeinrichtung_geom_idx ON ax_historischesbauwerkoderhistorischeeinrichtung USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_historischesbauwerkoderhistorischeeinrichtung        IS 'Historisches Bauwerk oder historische Einrichtung';
+COMMENT ON COLUMN ax_historischesbauwerkoderhistorischeeinrichtung.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- H e i l q u e l l e  /  G a s q u e l l e
+-- ----------------------------------------------
+-- neu 02.2011
+CREATE TABLE ax_heilquellegasquelle (
+	ogc_fid serial NOT NULL,
+	gml_id character(16),
+	identifier character(28),
+	beginnt character(20),
+	advstandardmodell character(4),
+	sonstigesmodell character(5),
+	anlass integer,
+	art integer,
+	"name" character(13),
+	CONSTRAINT ax_heilquellegasquelle_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_heilquellegasquelle','wkb_geometry','25832','POINT',2);
+
+CREATE INDEX ax_heilquellegasquelle_geom_idx ON ax_heilquellegasquelle USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_heilquellegasquelle        IS 'H e i l q u e l l e  /  G a s q u e l l e';
+COMMENT ON COLUMN ax_heilquellegasquelle.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- sonstiges Bauwerk oder sonstige Einrichtung
+-- ----------------------------------------------
+CREATE TABLE ax_sonstigesbauwerkodersonstigeeinrichtung (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	art			character varying(40),  -- (15)
+	--description		integer,
+	"name"			character varying(35), -- Lippe immer leer, RLP "Relationsbelegung bei Nachmigration"
+	bauwerksfunktion	integer,
+	CONSTRAINT ax_sonstigesbauwerkodersonstigeeinrichtung_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_sonstigesbauwerkodersonstigeeinrichtung','wkb_geometry','25832','POLYGON',2);
+
+-- POLYGON  und LINESTRING
+ALTER TABLE ax_sonstigesbauwerkodersonstigeeinrichtung DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_sonstigesbauwerkodersonstigeeinrichtung_geom_idx ON ax_sonstigesbauwerkodersonstigeeinrichtung USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_sonstigesbauwerkodersonstigeeinrichtung        IS 'sonstiges Bauwerk oder sonstige Einrichtung';
+COMMENT ON COLUMN ax_sonstigesbauwerkodersonstigeeinrichtung.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- E i n r i c h t u n g  i n  O e f f e n t l i c h e n  B e r e i c h e n 
+-- ------------------------------------------------------------------------
+-- neu 02.2011
+CREATE TABLE ax_einrichtunginoeffentlichenbereichen (
+	ogc_fid serial NOT NULL,
+	gml_id character(16),
+	identifier character(28),
+	beginnt character(20),
+	sonstigesmodell character(6),
+	anlass integer,
+	art integer,
+	CONSTRAINT ax_einrichtunginoeffentlichenbereichen_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_einrichtunginoeffentlichenbereichen','wkb_geometry','25832','POINT',2);
+
+CREATE INDEX ax_einrichtunginoeffentlichenbereichen_geom_idx
+  ON ax_einrichtunginoeffentlichenbereichen USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_einrichtunginoeffentlichenbereichen        IS 'E i n r i c h t u n g   i n   O e f f e n t l i c h e n   B e r e i c h e n';
+COMMENT ON COLUMN ax_einrichtunginoeffentlichenbereichen.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- B e s o n d e r e r   B a u w e r k s p u n k t
+-- -----------------------------------------------
+CREATE TABLE ax_besondererbauwerkspunkt (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	punktkennung		character varying(15), -- integer,
+	land			integer,
+	stelle			integer,
+	--sonstigeeigenschaft	character(26),
+	CONSTRAINT ax_besondererbauwerkspunkt_pk PRIMARY KEY (ogc_fid)
+);
+
+INSERT INTO geometry_columns 
+       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
+VALUES ('', 'public', 'ax_besondererbauwerkspunkt', 'dummy', 2, 25832, 'POINT');
+
+COMMENT ON TABLE  ax_besondererbauwerkspunkt        IS 'B e s o n d e r e r   B a u w e r k s p u n k t';
+COMMENT ON COLUMN ax_besondererbauwerkspunkt.gml_id IS 'Identifikator, global eindeutig';
+
 
 --** Objektartengruppe: Besondere Anlagen auf SiedlungsflÃ€chen
@@ -3228,26 +3217,260 @@
 
 --** Objektartengruppe: Bauwerke, Anlagen und Einrichtungen fÃŒr den Verkehr
---   ===================================================================
-
---AX_BauwerkImVerkehrsbereich
---AX_Strassenverkehrsanlage
---AX_WegPfadSteig
---AX_Bahnverkehrsanlage
+--   =======================================================================
+
+-- B a u w e r k   i m  V e r k e h s b e r e i c h
+-- ------------------------------------------------
+CREATE TABLE ax_bauwerkimverkehrsbereich (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	bauwerksfunktion	integer,
+	CONSTRAINT ax_bauwerkimverkehrsbereich_pk PRIMARY KEY (ogc_fid)
+);
+
+--SELECT AddGeometryColumn('ax_bauwerkimverkehrsbereich','wkb_geometry','25832','POLYGON',2);
+SELECT AddGeometryColumn('ax_bauwerkimverkehrsbereich','wkb_geometry','25832','MULTIPOLYGON',2);
+
+-- POLYGON und LINESTRING
+ALTER TABLE ax_bauwerkimverkehrsbereich DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_bauwerkimverkehrsbereich_geom_idx ON ax_bauwerkimverkehrsbereich USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_bauwerkimverkehrsbereich        IS 'B a u w e r k   i m  V e r k e h s b e r e i c h';
+COMMENT ON COLUMN ax_bauwerkimverkehrsbereich.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- S t r a s s e n v e r k e h r s a n l a g e
+-- ----------------------------------------------
+CREATE TABLE ax_strassenverkehrsanlage (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	sonstigesmodell		character varying[],
+	anlass			integer,
+	art			integer 
+);
+
+SELECT AddGeometryColumn('ax_strassenverkehrsanlage','wkb_geometry','25832','POLYGON',2);
+
+-- LINESTRING und POLYGON
+ALTER TABLE ax_strassenverkehrsanlage DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+ALTER TABLE ONLY ax_strassenverkehrsanlage
+	ADD CONSTRAINT ax_strassenverkehrsanlage_pk PRIMARY KEY (ogc_fid);
+
+CREATE INDEX ax_strassenverkehrsanlage_geom_idx ON ax_strassenverkehrsanlage USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_strassenverkehrsanlage        IS 'S t r a s s e n v e r k e h r s a n l a g e';
+COMMENT ON COLUMN ax_strassenverkehrsanlage.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- W e g  /  P f a d  /  S t e i g
+-- ----------------------------------------------
+CREATE TABLE ax_wegpfadsteig (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	sonstigesmodell		character varying[],
+	anlass			integer,
+	art			integer,
+	CONSTRAINT ax_wegpfadsteig_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_wegpfadsteig','wkb_geometry','25832','LINESTRING',2);
+
+-- LINESTRING und POLYGON
+ALTER TABLE ax_wegpfadsteig DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_wegpfadsteig_geom_idx ON ax_wegpfadsteig USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_wegpfadsteig        IS 'W e g  /  P f a d  /  S t e i g';
+COMMENT ON COLUMN ax_wegpfadsteig.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- B a h n v e r k e h r s a n l a g e
+-- ----------------------------------------------
+CREATE TABLE ax_bahnverkehrsanlage (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	sonstigesmodell		character varying[],
+	anlass			integer,
+	bahnhofskategorie	integer,
+	bahnkategorie		integer,
+	CONSTRAINT ax_bahnverkehrsanlage_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_bahnverkehrsanlage','wkb_geometry','25832','POINT',2);
+
+CREATE INDEX ax_bahnverkehrsanlage_geom_idx  ON ax_bahnverkehrsanlage USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_bahnverkehrsanlage        IS 'B a h n v e r k e h r s a n l a g e';
+COMMENT ON COLUMN ax_bahnverkehrsanlage.gml_id IS 'Identifikator, global eindeutig';
+
+
 --AX_SeilbahnSchwebebahn
---AX_Gleis
---AX_Flugverkehrsanlage
+-- ** Tabelle bisher noch nicht generiert
+
+
+-- G l e i s
+-- ----------------------------------------------
+CREATE TABLE ax_gleis (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	sonstigesmodell		character varying[],
+	anlass			integer,
+	bahnkategorie		integer,
+	CONSTRAINT ax_gleis_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_gleis','wkb_geometry','25832','LINESTRING',2);
+
+-- auch POLYGON
+ALTER TABLE ax_gleis DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_gleis_geom_idx ON ax_gleis USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_gleis        IS 'G l e i s';
+COMMENT ON COLUMN ax_gleis.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- F l u g v e r k e h r s a n l a g e
+-- -----------------------------------
+-- neu 02.2011
+CREATE TABLE ax_flugverkehrsanlage (
+	ogc_fid serial NOT NULL,
+	gml_id character(16),
+	identifier character(28),
+	beginnt character(20),
+	advstandardmodell character(4),
+	sonstigesmodell character(5),
+	anlass integer,
+	art integer,
+	oberflaechenmaterial integer,
+	"name" character(20),
+	CONSTRAINT ax_flugverkehrsanlage_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_flugverkehrsanlage','wkb_geometry','25832','POLYGON',2);
+
+CREATE INDEX ax_flugverkehrsanlage_geom_idx ON ax_flugverkehrsanlage USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_flugverkehrsanlage             IS 'F l u g v e r k e h r s a n l a g e';
+COMMENT ON COLUMN ax_flugverkehrsanlage.gml_id      IS 'Identifikator, global eindeutig';
+
+
 --AX_EinrichtungenFuerDenSchiffsverkehr
---AX_BauwerkImGewaesserbereich
+-- ** Tabelle bisher noch nicht generiert
+
+
+-- B a u w e r k   i m   G e w a e s s e r b e r e i c h
+-- -----------------------------------------------------
+CREATE TABLE ax_bauwerkimgewaesserbereich (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	bauwerksfunktion	integer,
+	CONSTRAINT ax_bauwerkimgewaesserbereich_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_bauwerkimgewaesserbereich','wkb_geometry','25832','POLYGON',2);
+
+-- Es wird (auch) LINESTRING / POINT geliefert!
+ALTER TABLE ax_bauwerkimgewaesserbereich DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_bauwerkimgewaesserbereich_geom_idx ON ax_bauwerkimgewaesserbereich USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_bauwerkimgewaesserbereich        IS 'B a u w e r k   i m   G e w a e s s e r b e r e i c h';
+COMMENT ON COLUMN ax_bauwerkimgewaesserbereich.gml_id IS 'Identifikator, global eindeutig';
+
 
 --** Objektartengruppe: Besondere Vegetationsmerkmale
 --   ===================================================================
 
---AX_Vegetationsmerkmal
+-- V e g a t a t i o n s m e r k m a l
+-- ----------------------------------------------
+CREATE TABLE ax_vegetationsmerkmal (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	bewuchs			integer,
+	CONSTRAINT ax_vegetationsmerkmal_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_vegetationsmerkmal','wkb_geometry','25832','POLYGON',2);
+
+-- verschiedene Geometrietypen
+ALTER TABLE ONLY ax_vegetationsmerkmal DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_vegetationsmerkmal_geom_idx ON ax_vegetationsmerkmal USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_vegetationsmerkmal        IS 'V e g a t a t i o n s m e r k m a l';
+COMMENT ON COLUMN ax_vegetationsmerkmal.gml_id IS 'Identifikator, global eindeutig';
+
 
 --** Objektartengruppe: Besondere Eigenschaften von GewÃ€ssern
 --   ===================================================================
 
---AX_Gewaessermerkmal
---AX_UntergeordnetesGewaesser
+-- G e w a e s s e r m e r k m a l
+-- ----------------------------------------------
+CREATE TABLE ax_gewaessermerkmal (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	art			integer,
+	CONSTRAINT ax_gewaessermerkmal_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_gewaessermerkmal','wkb_geometry','25832','POINT',2);
+
+CREATE INDEX ax_gewaessermerkmal_geom_idx ON ax_gewaessermerkmal USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_gewaessermerkmal        IS 'G e w a e s s e r m e r k m a l';
+COMMENT ON COLUMN ax_gewaessermerkmal.gml_id IS 'Identifikator, global eindeutig';
+
+
+-- u n t e r g e o r d n e t e s   G e w a e s s e r
+-- -------------------------------------------------
+CREATE TABLE ax_untergeordnetesgewaesser (
+	ogc_fid			serial NOT NULL,
+	gml_id			character(16),
+	identifier		character varying(28),
+	beginnt			character(20),
+	advstandardmodell	character varying(9),
+	anlass			integer,
+	funktion		integer,
+	CONSTRAINT ax_untergeordnetesgewaesser_pk PRIMARY KEY (ogc_fid)
+);
+
+SELECT AddGeometryColumn('ax_untergeordnetesgewaesser','wkb_geometry','25832','LINESTRING',2);
+
+-- LINESTRING und POLYGON
+ALTER TABLE ax_untergeordnetesgewaesser DROP CONSTRAINT enforce_geotype_wkb_geometry;
+
+CREATE INDEX ax_untergeordnetesgewaesser_geom_idx ON ax_untergeordnetesgewaesser USING gist (wkb_geometry);
+
+COMMENT ON TABLE  ax_untergeordnetesgewaesser        IS 'u n t e r g e o r d n e t e s   G e w a e s s e r';
+COMMENT ON COLUMN ax_untergeordnetesgewaesser.gml_id IS 'Identifikator, global eindeutig';
+
 
 --** Objektartengruppe: Besondere Angaben zum Verkehr
@@ -3258,5 +3481,8 @@
 
 --AX_Wasserspiegelhoehe
+-- ** Tabelle bisher noch nicht generiert
+
 --AX_SchifffahrtslinieFaehrverkehr
+-- ** Tabelle bisher noch nicht generiert
 
 --*** ############################################################
